Bug 30911 - libreoffice stops working with cups during work
libreoffice stops working with cups during work
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: End user applications
unspecified
Other Linux
: P5 normal
: UCC 1.0-errata
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-27 10:25 CET by Tobias Scherer
Modified: 2013-04-24 17:26 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Scherer univentionstaff 2013-03-27 10:25:16 CET
reported in Ticket#2013031121001231

During the work with libreoffice it often occurs that the cups printers are not available anymore. This was reported by several UCC users.

Restarting libreoffice helps, but as this has to be done quite often, it is a bad workaround.

related launchpad bug(with announced fix for cups):
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1020048
Comment 1 Stefan Gohmann univentionstaff 2013-04-02 06:20:02 CEST
We should check the patch for cups.
Comment 2 Felix Botner univentionstaff 2013-04-08 12:01:57 CEST
I added the cupsconnect.patch (slightly modified) from  http://www.cups.org/str.php?L4187. The original upstream patch str4187.patch did not work for me.

Cherry picked cups from precise-updates and build in ucc-errata. The CUPS test suite has been disabled (does not run as root).

2013-04-08-cups.yaml

QA

The problem can be 

The problem can be provoked by setting "Timeout 3" in the cupsd.conf.
Comment 3 Erik Damrose univentionstaff 2013-04-10 15:10:46 CEST
Patch: OK, cups reconnects when the connection has timed out
YAML: OK

-> Verified
Comment 4 Janek Walkenhorst univentionstaff 2013-04-24 17:26:25 CEST
http://errata.univention.de/ucc/1.0/6.html